Endpoints

All available endpoint for fetching data on Radix with our REST API.

Before Getting Started

Checkout our documentation explaining how our REST function here.

Latest Endpoints

Metadata

POST /v1/metadata

Fetch metadata for entities on Radix.

Parameters

  • addresses (optional list of strings)

    • Addresses to filter by

  • entity_ids (optional list of integers)

    • Entity ID's to filter by

If both parameters are provided then it will return accounts with specified address OR entity identifier.

Example Request
{
  "addresses": [
    "package_rdx1pkgxxxxxxxxxtxnpxrxxxxxxxxx002962227406xxxxxxxxxtxnpxr"
  ],
  "entity_ids": [ 12 ]
}
Example Response

Accounts

Fetch accounts and their settings on the Radix network.

Parameters

  • addresses (optional list of strings)

    • Addresses to filter by

  • entity_ids (optional List of integers)

    • Entity ID's to filter by

If both parameters are provided then it will return accounts with specified address OR entity identifier.

Example Request
Example Response

Tokens

Fetch tokens deployed on the Radix network.

Parameters

  • addresses (optional list of strings)

    • Addresses to filter by

  • entity_ids (optional List of integers)

    • Entity ID's to filter by

If both parameters are provided then it will return accounts with specified address OR entity identifier.

Example Request
Example Response

Transactions

Fetch transactions on the Radix network.

Parameters

  • intent_hash (optional list of strings)

    • Intent has of transaction to filter by

  • state_version (optional List of integers)

    • State version of transaction to filter by

If both parameters are provided then it will return accounts with specified intent hash OR state version.

Example Request
Example Response

Native Pools

Fetch native pools on the Radix network.

Parameters

  • addresses (optional list of strings)

    • Addresses to filter by

  • entity_ids (optional List of integers)

    • Entity ID's to filter by

If both parameters are provided then it will return accounts with specified address OR entity identifier.

Example Request
Example Response

NFT Collections

Fetch NFT collections on the Radix Network.

Parameters

  • addresses (optional list of strings)

    • Addresses to filter by

  • entity_ids (optional List of integers)

    • Entity ID's to filter by

If both parameters are provided then it will return accounts with specified address OR entity identifier.

Example Request
Example Response

Resource Holders

Fetch the resource holdings for entity on the Radix Network.

Parameters

  • holder_addresses (optional list of strings)

    • Addresses to filter by

  • holder_ids (optional List of integers)

    • Entity ID's to filter by

If both parameters are provided then it will return accounts with specified address OR entity identifier.

Example Request
Example Response

Resource Holders

Fetch role assignment for entities on the Radix Network.

Parameters

  • holder_ids (optional List of integers)

    • Entity ID's to filter by

Example Request
Example Response

Token Balances

Fetch token-only holdings for entity on the Radix Network.

Parameters

  • holder_addresses (optional list of strings)

    • Addresses to filter by

  • holder_ids (optional List of integers)

    • Entity ID's to filter by

If both parameters are provided then it will return accounts with specified address OR entity identifier.

Example Request
Example Response

Validators

Fetch validators on the Radix Network.

Parameters

  • addresses (optional list of strings)

    • Addresses to filter by

  • entity_ids (optional List of integers)

    • Entity ID's to filter by

If both parameters are provided then it will return accounts with specified address OR entity identifier.

Example Request
Example Response

Vaults

Fetch vaults on the Radix Network.

Parameters

  • addresses (optional list of strings)

    • Addresses to filter by

  • entity_ids (optional List of integers)

    • Entity ID's to filter by

If both parameters are provided then it will return accounts with specified address OR entity identifier.

Example Request
Example Response

Last updated